Package org.apache.wiki.api.exceptions

# Class WikiException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.wiki.api.exceptions.WikiException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FilterException`, `NoRequiredPropertyException`, `NoSuchVariableException`, `PluginException`, `ProviderException`, `WikiI18nException`

public class WikiException extends Exception
A generic Wiki exception.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WikiException(String msg)`
Constructs an exception.
`WikiException(String msg, Throwable cause)`
Constructs an exception with a supplied cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WikiException

public WikiException(String msg)
Constructs an exception.

Parameters:
  `msg` - the message in the exception.

### WikiException

public WikiException(String msg, Throwable cause)
Constructs an exception with a supplied cause.

Parameters:
  `msg` - the message in the exception.
  `cause` - the cause of the exception